<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/src/StringUtils.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_93a54634d0ab52618b36b15672961616.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">StringUtils.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;errno.h&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;limits&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_string_utils_8h_source.html">AVSCommon/Utils/String/StringUtils.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for StringUtils.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_string_utils_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_string_utils_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_string_utils_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_string_utils_8cpp">
<area shape="rect" id="node7" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="701,105,877,144"/>
<area shape="rect" id="node27" href="_string_utils_8h.html" title="AVSCommon/Utils/String\l/StringUtils.h" alt="" coords="1044,279,1213,317"/>
<area shape="rect" id="node13" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="317,192,530,231"/>
<area shape="rect" id="node19" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="701,279,877,317"/>
<area shape="rect" id="node20" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="962,192,1138,231"/>
<area shape="rect" id="node25" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="554,192,751,231"/>
<area shape="rect" id="node26" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1362,365,1538,404"/>
<area shape="rect" id="node21" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1237,279,1413,317"/>
<area shape="rect" id="node23" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1162,365,1338,404"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html">alexaClientSDK::avsCommon::utils::string</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_string_utils_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a989aa0bd3d6bf984cac13cf4d4171870"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a989aa0bd3d6bf984cac13cf4d4171870">alexaClientSDK::avsCommon::utils::string::TAG</a> (&quot;StringUtils&quot;)</td></tr>
<tr class="memdesc:a989aa0bd3d6bf984cac13cf4d4171870"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a989aa0bd3d6bf984cac13cf4d4171870">More...</a><br /></td></tr>
<tr class="separator:a989aa0bd3d6bf984cac13cf4d4171870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa54773055b57c6d6e0793819ccc47c75"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#aa54773055b57c6d6e0793819ccc47c75">alexaClientSDK::avsCommon::utils::string::stringToInt</a> (const std::string &amp;str, int *result)</td></tr>
<tr class="separator:aa54773055b57c6d6e0793819ccc47c75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b0a38568aab26aa9371470c4493f234"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a5b0a38568aab26aa9371470c4493f234">alexaClientSDK::avsCommon::utils::string::stringToInt</a> (const char *str, int *result)</td></tr>
<tr class="separator:a5b0a38568aab26aa9371470c4493f234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e9905aba0bab1ca8d423ee2dda1e289"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8e9905aba0bab1ca8d423ee2dda1e289">alexaClientSDK::avsCommon::utils::string::byteVectorToString</a> (const std::vector&lt; uint8_t &gt; &amp;byteVector)</td></tr>
<tr class="separator:a8e9905aba0bab1ca8d423ee2dda1e289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a26b31f8413cc8b4cf637f81014b17"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a01a26b31f8413cc8b4cf637f81014b17">alexaClientSDK::avsCommon::utils::string::stringToLowerCase</a> (const std::string &amp;input)</td></tr>
<tr class="separator:a01a26b31f8413cc8b4cf637f81014b17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcaf902f39fde3eb0e0f8ef0706a5e4d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#abcaf902f39fde3eb0e0f8ef0706a5e4d">alexaClientSDK::avsCommon::utils::string::stringToUpperCase</a> (const std::string &amp;input)</td></tr>
<tr class="separator:abcaf902f39fde3eb0e0f8ef0706a5e4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d96285d85475e9d145a8e01311cf4a1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8d96285d85475e9d145a8e01311cf4a1">alexaClientSDK::avsCommon::utils::string::stringToInt64</a> (const std::string &amp;str, int64_t *result)</td></tr>
<tr class="separator:a8d96285d85475e9d145a8e01311cf4a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7407a74bb9f68ed89e46444ba78ae7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a6f7407a74bb9f68ed89e46444ba78ae7">alexaClientSDK::avsCommon::utils::string::stringToInt64</a> (const char *str, int64_t *result)</td></tr>
<tr class="separator:a6f7407a74bb9f68ed89e46444ba78ae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79f5ea6950b7df3df0154def1c4a5673"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a79f5ea6950b7df3df0154def1c4a5673">alexaClientSDK::avsCommon::utils::string::replaceAllSubstring</a> (const std::string &amp;str, const std::string &amp;from, const std::string &amp;to)</td></tr>
<tr class="separator:a79f5ea6950b7df3df0154def1c4a5673"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a10e3fbadbc3e8f73fed598fce8e88c4e"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a10e3fbadbc3e8f73fed598fce8e88c4e">alexaClientSDK::avsCommon::utils::string::BASE_TEN</a> = 10</td></tr>
<tr class="separator:a10e3fbadbc3e8f73fed598fce8e88c4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
